Bug 70851 - squid's pam_auth does not work when using ldap auth
squid's pam_auth does not work when using ldap auth
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: squid (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-05 23:51 EDT by George Kappel
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-01 09:49:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Kappel 2002-08-05 23:51:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.0) Gecko/20020530

Description of problem:
When using ldap authentication pam_auth will only return a correct result the
first time it is run.  ./pam_auth -1 does not fix this.  ldap auth works for
other programs and finger reports expected results.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Setup ldap authentication w/authconfig
2. As root /usr/lib/squid/pam_auth OR /usr/lib/squid/pam_auth -1
3. Enter valid "validldapuser<space>invalidpassword"
4. You should get "ERR"
5. Enter valid "validldapuser<space>validpassword"
6. You should get "OK" but you still get ERR
	

Additional info:

Works as expected with
http://www.squid-cache.org/Versions/v2/2.5/squid-2.5.PRE10.tar.gz

Note You need to log in before you can comment on or make changes to this bug.